Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 5388 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

otevřít soubor s danou reprezentací

 Odpovědět Odpovědět archiv
Autor
pks Zobrazit panel
Nováček
Nováček

Přihlášen: 03.bře.2013
Lokalita: ČR (Pha)
Používám:
Inventor, AutoCAD
Stav: Offline
Bodů: 3
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace pks Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: otevřít soubor s danou reprezentací
    Zasláno: 12.led.2022 v 09:49
Dobrý den,
V sestavě pravidlem otevírám podsestavu. Otevře se v reprezentaci „Hlavní „ , tu pak musím již v podsestavě dalším pravidlem změnit na „Úroveň detailu1“. Teoreticky by toto mělo jít nastavit jako option rovnou při otevření. V dokumentu „ThisApplication.ActiveDocument vs ThisDoc.Document“ jsem našel tuto možnost, ale nikde nemohu zjistit jak správně zadat oOptions. Tedy pokud to takto půjde. Můžete mi prosím poradit?
ThisApplication.Documents.OpenWithOptions("C:\Temp\MyDoc.ipt", oOptions, True)

Děkuji
pk
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 20325
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 12.led.2022 v 10:09
oOptions musí být NameValueMap, tedy něco jako toto - jen koncept, nezkoušeno:

Dim oOptions As NameValueMap
oOptions = ThisApplication.TransientObjects.CreateNameValueMap()
oOptions.Add("DesignViewRepresentation", "View1")
oOptions.Add("LevelOfDetailRepresentation", "LOD1")
assydoc = ThisApplication.Documents.OpenWithOptions(assemblyPath, oOptions, false)
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
pks Zobrazit panel
Nováček
Nováček

Přihlášen: 03.bře.2013
Lokalita: ČR (Pha)
Používám:
Inventor, AutoCAD
Stav: Offline
Bodů: 3
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace pks Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 25.led.2022 v 12:00
Dobrý den,
děkuju a dokonce to i funguje.
PK
pk
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 5184:Velké sestavy - využití úrovně detailů pro zrychlení práce.
Tip 5876:Jak lze exportovat do DWF pouze část 3D sestavy Inventoru?
Tip 6082:Jak vypnout viditelnost konstrukčních prvků podsestavy.
Tip 10937:Vlastnost "Publikovat" u pohledové reprezentace.
Tip 10472:Doporučená nastavení importu povrchového tělesa z formátu STEP.
Tip 12231:Jak do DWG souboru Inventoru zahrnout modelový prostor?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,141 sekund.